#ifndef MESSAGES_H
#define MESSAGES_H

#include "ftpaccess.h"
#include "InputCtl.h"
#include "InputFileCtl.h"
#include <qlineedit.h>
#include <qcheckbox.h>
#include <qlistbox.h>
#include <qpushbutton.h>

class Messages : public QWidget {
	Q_OBJECT
public:
	Messages(QWidget *parent=0, const char * name=0);
	~Messages();
public slots:
	void ftpaccessLoaded(ftpaccess *xs);
	void update();
	void addMsgPressed();
	void rmMsgPressed();
	void addRdmPressed();
	void rmRdmPressed();
	void MessageAdded(bool readme, ftpmessage *m);
private:
	void		redrawLBs();
	void		addDlg(bool readme);
	ftpaccess *	ftpxs;
	InputFileCtl *	banner;
	InputCtl *	hostname;
	InputCtl *	adminmail;
	QCheckBox *	msgShowEverytime;
	QCheckBox *	rdmShowEverytime;
	QListBox *	messages;
	QPushButton *	addMsg;
	QPushButton *	rmMsg;
	QListBox *	readmes;
	QPushButton *	addRdm;
	QPushButton *	rmRdm;
};

#endif
